TEXI2DVI(1)

NOM
texi2dvi – Conversion de documents Texinfo en DVI ou PDF

SYNOPSIS
texi2dvi [OPTION]... FICHIER...
texi2pdf [OPTION]... FICHIER...
pdftexi2dvi [OPTION]... FICHIER...

DESCRIPTION
Exécuter tour à tour chaque FICHIER Texinfo ou (La)TeX à travers TeX jusqu’à ce que toutes les références croisées soient résolues, en construisant tous les index. Les fichiers inclus sont recherchés dans les répertoires contenant chacun des FICHIERs. Le suffixe de FICHIER est utilisé pour déterminer son langage ((La)TeX ou Texinfo). Pour traiter des fichiers (e)plain TeX, définissez la variable d’environnement LATEX=tex.

Lorsque le programme est invoqué sous la forme « texi2pdf » ou lorsque l’option --pdf est utilisée, la sortie est en PDF, sinon elle est en DVI.

  Options générales

-D, --debug
    Activer le mode débogage de l’interpréteur de commandes (set -x)

-h, --help
    Afficher l'aide-mémoire et quitter.

-o, --output=FICHIER_SORTIE
    Diriger la sortie dans FICHIER_SORTIE ; un seul FICHIER d’entrée est autorisé.

-q, --quiet
    Aucune indication à moins d’erreur.

-v, --version
    Afficher la version du logiciel et quitter.

-V, --verbose
    Expliquer ce qui est fait.

--max-iterations=N
    Ne pas traiter les fichiers plus de N fois [7].

--mostly-clean
    Supprimer les répertoires et fichiers auxiliaires des exécutions précédentes (mais pas la sortie).

  Format de sortie :

--dvi
    Produire un fichier DVI (comportement par défaut)

--dvipdf
    Produire un fichier PDF à travers DVI (en utilisant un programme dvi-vers-pdf).

-p, --pdf
    Utiliser pdftex(1) ou pdflatex(1) pour le traitement.

--ps
    Produire un fichier PostScript à travers DVI (en utilisant dvips(1)).

  Ajustement de TeX :

-E, --expand
    Expansion de macros en utilisant makeinfo(1).

-I RÉP
    Parcourir le répertoire RÉP pour les fichiers Texinfo.

-l, --language=LANGAGE
    Indiquer le LANGAGE pour FICHIER, soit latex ou texinfo.

--no-line-error
    Ne pas passer l’option --file-line-error à TeX.

--shell-escape
    Passer l’option --shell-escape à TeX.

--src-specials
    Passer l’option --src-specials à TeX.

--translate-file=FICHIER
    Utiliser le fichier de conversion du jeu de caractères spécifié pour TeX.

-t, --command=CMD
    Insérer la commande CMD dans la copie du fichier d'entrée.

  Modes de construction :

--build=MODE
    Indiquer le traitement des fichiers auxiliaires [local].

--tidy
    Identique à --build=tidy.

-c, --clean
    Identique à --build=clean.

--build-dir=RÉP
    Indiquer où la compilation tidy est réalisée ; cette option implique --tidy.

Le MODE indique où la compilation de TeX se déroule, et, par conséquent, où les fichiers sont traités.

  Les valeurs autorisées pour MODE sont :

local
    La compilation se déroule dans le répertoire actuel en y conservant les fichiers auxiliaires. C’est l’utilisation traditionnelle de TeX.

tidy
    La compilation se déroule dans un répertoire *.t2d local où les fichiers auxiliaires sont conservés. Les fichiers de sortie sont copiés dans le répertoire original.

clean
    Identique au mode tidy, mais suppression à la fin du répertoire auxiliaire. Chaque compilation requiert par conséquent le cycle complet.

Le mode de construction peut être défini en utilisant la variable d’environnement TEXI2DVI_BUILD_MODE. Le répertoire de construction tidy peut être aussi défini en utilisant la variable d’environnement TEXI2DVI_BUILD_DIRECTORY.

Les valeurs de ces variables d’environnement sont utilisées pour exécuter les commandes correspondantes si elles sont indiquées :

    BIBER BIBTEX DVIPDF DVIPS EGREP LATEX MAKEINDEX MAKEINFO PDFLATEX PDFTEX SED TEX TEXINDEX TEXINDY THUMBPDF_CMD

En ce qui concerne l’option --dvipdf, si la variable DVIPDF n’est pas définie dans l’environnement, alors les programmes suivants sont recherchés (dans cet ordre) : dvipdfmx(1), dvipdfm(1), dvipdf(1), dvi2pdf, dvitopdf.

Si Texinfo est installé sur votre système, alors la commande

    info texi2dvi

devrait vous donner accès au manuel complet.

SIGNALER DES BOGUES
Veuillez signaler les bogues à bug-texinfo@gnu.org, les questions générales et les explications à help-texinfo@gnu.org.
Page d’accueil de GNU Texinfo : <https://www.gnu.org/software/texinfo/>
Aide générale pour les logiciels GNU : <https://www.gnu.org/gethelp/>

COPYRIGHT
Copyright © 2026 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou ultérieure <https://gnu.org/licenses/gpl.html>
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
La documentation complète de texi2dvi est disponible dans un manuel Texinfo. Si les programmes info et texi2dvi sont correctement installés, la commande

    info texi2dvi

devrait vous donner accès au manuel complet.

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.